Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
Jostler Posted on 08/09/2019 17:13
NFL Opening Weekend
 
 
I know thereís a few fans on here. Decided I want to watch it this year if possible, Iíve picked the Eagles as my team to support.

Is there any easy way to watch the games in the UK?
IP: Logged
dooderooni Posted on 08/09/2019 17:25

NFL Opening Weekend

 
Look for nflstreams on Reddit.

Fingers crossed for the Browns, us fans have suffered so much we can't even be described as long suffering 🏈
IP: Logged
yearbyred Posted on 08/09/2019 17:32

NFL Opening Weekend

 
Me too dood!

Normally watch on NFL game pass but because itís on Sky itís blacked out. Reddit stream for me.
IP: Logged
Jostler Posted on 08/09/2019 17:52

NFL Opening Weekend

 
Cheers guys. Iíll be honest Iím not a big streamer, always worry about virusí etc is that a Legitimate worry?
IP: Logged
dooderooni Posted on 08/09/2019 18:15

NFL Opening Weekend

 
Not really, the links are verified. Just be patient and be careful about clicking any ads in your haste to watch the game.
IP: Logged
PhillyMac Posted on 08/09/2019 19:32

NFL Opening Weekend

 
I'm watching the Redzone from the US [8D]

Six hours, no adverts, every touchdown

IP: Logged
TheFair86 Posted on 08/09/2019 19:35

NFL Opening Weekend

 
Viruses and adware are absolutely a worry on streaming sites, they are notorious for it!! If you have a virus monitoring or firewall they often go nuts

The sites the ads redirect you to are dodgy af.

Safer to use an iptv service or pay the £130 odd for gamepass
IP: Logged
dooderooni Posted on 08/09/2019 19:53

NFL Opening Weekend

 
Never had a problem with the Reddit links, but then I am not an impatient clicker.
IP: Logged
Jostler Posted on 08/09/2019 20:25

NFL Opening Weekend

 
Had a couple of of ads pop up. Why do they pop up when you click play?

Enjoying the Eagles game, I think itís the first none Super Bowl game Iíve watched.

The missus has decided sheís gonna support the cowboys as her great aunt lives in Dallas
IP: Logged
dooderooni Posted on 08/09/2019 20:40

NFL Opening Weekend

 
[|)] We're our own worst enemies today ffs.
IP: Logged
yearbyred Posted on 08/09/2019 21:05

NFL Opening Weekend

 
Absolutely appalling.

Fair play to the Titans but never seen such an undisciplined performance and I've watched 1 win in 2 years.
IP: Logged
Chappy112 Posted on 08/09/2019 21:06

NFL Opening Weekend

 
Looks like the Browns and the Jets are still the Browns and the Jets then.
IP: Logged
heaton_mersey_boro Posted on 08/09/2019 21:18

NFL Opening Weekend

 
And the Redskins are still the Redskins[cr][cr][cr]
IP: Logged
plazmuh Posted on 08/09/2019 21:40

NFL Opening Weekend

 
[LOVE][LOVE]

Link: xxx
IP: Logged
Jostler Posted on 08/09/2019 21:41

NFL Opening Weekend

 
Good first week as an Eagles fan. Might just call it quits there!!
IP: Logged
7_The_Informer Posted on 08/09/2019 22:18

NFL Opening Weekend

 
Great to see the Bills win. I couldnít make it this week but will try and get tickets for next week as we have the Giants, again in New Jersey...
IP: Logged
goalscrounger Posted on 08/09/2019 22:53

NFL Opening Weekend

 
I use reddit links for NFL, college football (until this year), MLB, NHL and footy too and I've never had a problem.

I enjoyed my first game (Chiefs fan) although my fantasy teams are not tearing up any trees yet!
IP: Logged
boro19 Posted on 08/09/2019 23:00

NFL Opening Weekend

 
seahawks games a cracker
IP: Logged
goalscrounger Posted on 08/09/2019 23:13

NFL Opening Weekend

 
There's been a few great games today. Makes Thursday night's opener between the Packers and Bears even more disappointing.
IP: Logged
Chappy112 Posted on 09/09/2019 08:00

NFL Opening Weekend

 
And the Patriots are still the Patriots.
IP: Logged
PhillyMac Posted on 09/09/2019 17:20

NFL Opening Weekend

 
I'm a Jets fan and they are just pitiful.
IP: Logged
yearbyred Posted on 10/09/2019 11:04

NFL Opening Weekend

 
Saints Texans game was a great watch. Hell of a finish.
IP: Logged
Ayresomes_on_Fire Posted on 10/09/2019 12:13

NFL Opening Weekend

 
I use this to watch thew baseball but also has all NFL games...flawless streaming..!!

Link: Bila Sport
IP: Logged
OnlyInAmerica Posted on 10/09/2019 12:15

NFL Opening Weekend

 
SKOOOOOOOOOOOOOOOOLLLLLLLLLLLLLLLLLLLLLL
IP: Logged
Muttley Posted on 10/09/2019 12:53

NFL Opening Weekend

 
Turns out that the Dolphins have incerdibly managed to produce a squad/team measurably worse than last season. A triumph.

Ah well, let's see how much of a fukkup they can make of a first round draft pick.
IP: Logged
OnlyInAmerica Posted on 11/09/2019 12:06

NFL Opening Weekend

 
You seen this stuff about AB

Looks like he will be released twice in a week
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103